Subject: bug#26334: [PATCH 1/1] system: grub: Enable the use of a non-graphical GRUB menu.

From: Leo Famulari <[email-masked]>
Date: Sat, 1 Apr 2017 18:43:45 -0400

On Sun, Apr 02, 2017 at 12:15:54AM +0200, Ludovic Courtès wrote:
> Would it be possible to detect whether graphical output is available
> only in GRUB code?

I'm far from a GRUB expert...

Apparently, the terminal input and output devices default to the
"platform's native terminal {input,output}":
https://www.gnu.org/software/grub/manual/html_node/Simple-configuration.html

> Or is the use case a situation where graphical output *is* supported
> but somehow undesirable?

Yes, that is a potential use case. For example, I have a system based on
an embedded system-on-a-chip that includes a GPU, but no physical video
ports; I must use the serial port.

I also have this use case on a laptop as a consequence of
<https://bugs.gnu.org/24948>.

For both of those systems, I've been using a different patch that
has the same effect on the generated grub.cfg.

Perhaps instead of a graphical? toggle, we could expose the different
values of GRUB_TERMINAL_OUTPUT and GRUB_TERMINAL_INPUT:

https://www.gnu.org/software/grub/manual/html_node/Simple-configuration.html